%define	name	opengk
%define	version	1.13.5
%define	release	4mdk
%{expand:%%define o_ver %(echo v%{version}| sed "s#\.#_#g")}
%define pwlib_version 1.6.6.3
%define openh323_version 1.13.5.3

Summary:	H.323 basic gatekeeper
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Communications
Source0:	%{name}-%{o_ver}-src.tar.bz2
Patch0:		%{name}-mak_files.patch.bz2
URL:		http://openh323.sourceforge.net/
BuildRequires:	openh323-devel >= %{openh323_version} pwlib-devel >= %{pwlib_version}
Conflicts:	vpb-devel
Requires:	openh323_1 >= %{openh323_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a very basic H.323 Gatekeeper.

Basic features
---------------
OpenGatekeeper supports all the basic features of an H.323 Gatekeeper such
as registration, admissions and access control, address translation and 
bandwidth monitoring and control.

Advanced features
-----------------
- Gatekeeper routed calls 
- Support of H.323v2 alias types 
  (party number, URL, transport id and email address) 
- Support for gateway prefixes 
- Registration and call activity logs 
- Neighbour gatekeeper database 
- Registration time to live 

%prep
%setup -qn %{name}
%patch0 -p1

%build
%make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" PWLIBDIR=%{_datadir}/pwlib OPENH323DIR=%{_prefix} PREFIX=%{_prefix} PWLIB_BUILD=1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ReadMe.txt
%attr(755,root,root) %{_bindir}/*

%changelog
* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.5-4mdk
- nuke buildrequires and even conflict with vpb-devel

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.13.5-3mdk
- Rebuild with latest pwlib/openh323

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.13.5-2mdk 
- rebuild for new gcc

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.5-1mdk
- 1.13.5
- do parallell build
- fix buildrequires

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- update url

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.4-2mdk
- add -lvpb to LDFLAGS

* Fri Sep 12 2003 Florin <florin@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.1.0-2mdk
- rebuild against the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- udate the BuildRequires

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.0.1-5mdk
- recompile with the new pwlib1 and openh323_1

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- BuildRequires: pwlib-devel

* Wed Sep 12 2001 Florin <florin@mandrakesoft.com> 1.0.1-3mdk
- recompile with the new openh323_1

* Thu Aug 23 2001 Florin <florin@mandrakesoft.com> 1.0.1-2mdk
- better description

* Wed Aug 22 2001 Florin <florin@mandrakesoft.com> 1.0.1-1mdk
- new spec
